%define upstream_name Ima-DBI
%define upstream_version 0.35

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4
Summary:	Database connection caching and organization
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source:		http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/%{upstream_name}-%{upstream_version}.tar.gz
Buildrequires:	perl-DBIx-ContextualFetch
Buildrequires:	perl-Class-Data-Inheritable
Buildrequires:  perl-DBI
Buildarch:	noarch

%description
Ima::DBI attempts to organize and facilitate caching and more efficient use of
database connections and statement handles by storing DBI and SQL information
with your class (instead of as separate objects). This allows you to pass
around just one object without worrying about a trail of DBI handles behind it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files 
%doc Changes README
%{perl_vendorlib}/Ima
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.350.0-4pclos2017
- rebuild against updates

